Bug 19614 - Fix XSS in /cgi-bin/koha/members/pay.pl
Summary: Fix XSS in /cgi-bin/koha/members/pay.pl
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low major (vote)
Assignee: Amit Gupta
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 14568
  Show dependency treegraph
 
Reported: 2017-11-13 03:54 UTC by Amit Gupta
Modified: 2018-06-04 20:15 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19614 - Fix XSS in /cgi-bin/koha/members/pay.pl (2.21 KB, patch)
2017-11-13 03:58 UTC, Amit Gupta
Details | Diff | Splinter Review
Bug 19614 - Fix XSS in /cgi-bin/koha/members/pay.pl (2.27 KB, patch)
2017-11-13 05:54 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 19614 - Fix XSS in /cgi-bin/koha/members/pay.pl (2.32 KB, patch)
2017-12-03 14:31 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 19614: Fix XSS in members/pay.pl (2.39 KB, patch)
2017-12-08 18:05 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Amit Gupta 2017-11-13 03:54:36 UTC
Field: firstname, surname
Comment 1 Amit Gupta 2017-11-13 03:58:42 UTC
Created attachment 69105 [details] [review]
Bug 19614 - Fix XSS in /cgi-bin/koha/members/pay.pl

To Test
1. Hit the page /cgi-bin/koha/members/memberentry.pl
2. Add a text in the field firstname, surname that contains js
3. Save the page.
4. click on fine tab
5. Notice js is execute
6. Apply patch and reload, the js is escaped
Comment 2 Chris Cormack 2017-11-13 05:54:28 UTC
Created attachment 69110 [details] [review]
Bug 19614 - Fix XSS in /cgi-bin/koha/members/pay.pl

To Test
1. Hit the page /cgi-bin/koha/members/memberentry.pl
2. Add a text in the field firstname, surname that contains js
3. Save the page.
4. click on fine tab
5. Notice js is execute
6. Apply patch and reload, the js is escaped

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Comment 3 Katrin Fischer 2017-12-03 14:31:11 UTC
Created attachment 69468 [details] [review]
Bug 19614 - Fix XSS in /cgi-bin/koha/members/pay.pl

To Test
1. Hit the page /cgi-bin/koha/members/memberentry.pl
2. Add a text in the field firstname, surname that contains js
3. Save the page.
4. click on fine tab
5. Notice js is execute
6. Apply patch and reload, the js is escaped

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2017-12-08 18:05:30 UTC
Created attachment 69661 [details] [review]
Bug 19614: Fix XSS in members/pay.pl

To Test
1. Hit the page /cgi-bin/koha/members/memberentry.pl
2. Add a text in the field firstname, surname that contains js
3. Save the page.
4. click on fine tab
5. Notice js is execute
6. Apply patch and reload, the js is escaped

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Chris Cormack 2017-12-21 00:01:37 UTC
Pushed to 16.11.x will be in 16.11.15
Comment 6 Nick Clemens 2017-12-22 10:58:33 UTC
Pushed to stable for 17.11.01
Comment 7 Fridolin SOMERS 2018-01-04 09:13:31 UTC
Pushed to 17.05.x for 17.05.07
Comment 8 Jonathan Druart 2018-01-09 20:31:16 UTC
Pushed to master for 18.05, thanks to everybody involved!